org.jboss.resteasy.specimpl

## Class PathSegmentImpl

- java.lang.Object
- - org.jboss.resteasy.specimpl.PathSegmentImpl

- All Implemented Interfaces:
    PathSegment

      public class PathSegmentImpl
      extends Object
      implements PathSegment

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PathSegmentImpl.SegmentParse` Used when creating the matching path in ResteasyUriInfo

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathSegmentImpl(String segment, boolean decode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedMap<String,String>` | `getMatrixParameters()` Get a map of the matrix parameters associated with the path segment.
    `String` | `getOriginal()`
    `String` | `getPath()` Get the path segment.
    `boolean` | `hasMatrixParams()` NOTE: Used for optimization in ResteasyUriInfo
    `static List<PathSegment>` | `parseSegments(String path, boolean decode)`
    `static PathSegmentImpl.SegmentParse` | `parseSegmentsOptimization(String path, boolean decode)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathSegmentImpl

          public PathSegmentImpl(String segment,
                         boolean decode)

      Parameters:
        `segment` - encoded path segment
        `decode` - whether or not to decode values

  - ### Method Detail

    - #### hasMatrixParams

          public boolean hasMatrixParams()

      NOTE: Used for optimization in ResteasyUriInfo
      Returns:

    - #### getOriginal

          public String getOriginal()

    - #### getPath

          public String getPath()

      Description copied from interface: `PathSegment`
      Get the path segment.

      Specified by:
        `getPath` in interface `PathSegment`
      Returns:
        the path segment

    - #### getMatrixParameters

          public MultivaluedMap<String,String> getMatrixParameters()

      Description copied from interface: `PathSegment`
      Get a map of the matrix parameters associated with the path segment. The map keys are the names of the matrix parameters with any percent-escaped octets decoded.
      Specified by:
        `getMatrixParameters` in interface `PathSegment`
      Returns:
        the map of matrix parameters
      See Also:
        Matrix URIs

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### parseSegments

          public static List<PathSegment> parseSegments(String path,
                                        boolean decode)

    - #### parseSegmentsOptimization

          public static PathSegmentImpl.SegmentParse parseSegmentsOptimization(String path,
                                                               boolean decode)

      Parameters:
        `path` - encoded full path
        `decode` - whether or not to decode each segment
      Returns:

Copyright © 2014. All Rights Reserved.